Skip to content

OLT ONT Port ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
editOntEthPortPOSTModify an existing ont eth port
getOntEthPortListGETGet ont eth port list
editOntPotsPortPOSTModify an existing ont pots port
getOntPotsPortListGETGet ont pots port list

editOntEthPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/eth-ports/edit

Modify an existing ont eth port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
serviceIdpathstringyesService Profile ID should be a number between 0-512

Request body — application/json (required) — schema OntEthPortModifyDTO

FieldTypeRequiredDescription
serviceIdintegernoThe associated Service Profile ID
portIdintegeryesPort ID
vlanConfigOntEthPortVlanConfigModifyDTOno(OntEthPortVlanConfigModifyDTO not expanded; call omada_get_schema "OntEthPortVlanConfigModifyDTO")
priorityPolicystringnoPriority policy should be a value as follows:UNCONCERN,ASSIGNED,COPY_COS
igmpForwardOntEthPortIGMPForwardDTOno(OntEthPortIGMPForwardDTO not expanded; call omada_get_schema "OntEthPortIGMPForwardDTO")
maxMacCountintegernoMaxMacCount should be within the range of 0 to 255
qinQstringnoQinQ mode,qinQ should be a value as follows:UNCONCERN,DISABLE,ENABLE
tlsVlanstringnoTls vlan
json
// omada_call_operation
{
  "operationId": "editOntEthPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "serviceId": "<serviceId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ont eth port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOntEthPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/eth-ports/list

Get ont eth port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
serviceIdpathstringyesService Profile ID should be a number between 0-512
queryParamqueryOntEthPortListQueryDTOnoObject: its fields (searchKey, sorts, serviceId) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOntEthPortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "serviceId": "<serviceId>"
  }
}
Details, permissions and error codes

Get ont eth port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOntPotsPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/pots-ports/edit

Modify an existing ont pots port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
serviceIdpathstringyesService Profile ID should be a number between 0-512

Request body — application/json (required) — schema OntPotsPortModifyDTO

FieldTypeRequiredDescription
serviceIdintegernoThe associated Service Profile ID
vlanConfigModestringyesVlan config mode.VlanConfigMode should be a value as follows:TRANSPARENT,OTHERS
configItemAddListarray<OntPortVlanConfigAddItemDTO>noConfig item add list
configItemDeleteListarray<integer>noConfig item delete list
configItemEditListarray<OntPortVlanConfigItemDTO>noConfig item edit list
json
// omada_call_operation
{
  "operationId": "editOntPotsPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "serviceId": "<serviceId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ont pots port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOntPotsPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service/{serviceId}/pots-ports/list

Get ont pots port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
serviceIdpathstringyesService Profile ID should be a number between 0-512
queryParamqueryOntPotsPortListQueryDTOnoObject: its fields (searchKey, sorts, serviceId) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOntPotsPortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "serviceId": "<serviceId>"
  }
}
Details, permissions and error codes

Get ont pots port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.